"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.traverseNodes = void 0;
const traverseNodes = (object, path = []) => {
    const result = [];
    if (typeof object !== 'object' || object === null) {
        return [{ path: [], value: object, isLeaf: true }];
    }
    for (const key in object) {
        if (object.hasOwnProperty(key)) {
            const currentPath = [...path, key];
            const value = object[key];
            // Value must be object / array, and have at least some values in it
            if (typeof value === 'object' &&
                value !== null &&
                Object.keys(value).length > 0) {
                // Recursively traverse nested objects or arrays
                result.push(...(0, exports.traverseNodes)(value, currentPath));
            }
            else {
                // Leaf node found
                result.push({ path: currentPath, value, isLeaf: true });
            }
        }
    }
    return result;
};
exports.traverseNodes = traverseNodes;
//# sourceMappingURL=traverse.js.map